Page MenuHomePhabricator

Update Example and BoilerPlate extensions for new hooks system
Closed, ResolvedPublic

Description

Example and BoilerPlate extension code need to be updated to demonstrate the new, proper way of registering hooks.

Event Timeline

nnikkhoui created this task.Jun 3 2020, 5:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2020, 5:24 PM
Pppery added a subscriber: Pppery.Jun 3 2020, 5:54 PM

Should the title be "Update Example and BoilerPlate extensions for new hooks system" instead?

nnikkhoui renamed this task from Update Extension and BoilerPlate extensions for new hooks system to Update Example and BoilerPlate extensions for new hooks system.Jun 5 2020, 7:00 PM
nnikkhoui updated the task description. (Show Details)
Pppery removed a subscriber: Pppery.Jun 5 2020, 7:22 PM

Change 603569 had a related patch set uploaded (by Nikki Nikkhoui; owner: Nikki Nikkhoui):
[mediawiki/extensions/examples@master] Update for new Hooks registration system

https://gerrit.wikimedia.org/r/603569

Change 604439 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/examples@master] Update to use new Hooks system

https://gerrit.wikimedia.org/r/604439

Change 604412 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/BoilerPlate@master] Update to use new hook system

https://gerrit.wikimedia.org/r/604412

Change 604439 abandoned by C. Scott Ananian:
Update to use new Hooks system

Reason:
Reinvented the wheel. I5e931e18effd7b0520e4a611c3be1324ea1e460f beat me to this!

https://gerrit.wikimedia.org/r/604439

Change 604412 merged by jenkins-bot:
[mediawiki/extensions/BoilerPlate@master] Update to use new hook system

https://gerrit.wikimedia.org/r/604412

WDoranWMF triaged this task as High priority.Jul 1 2020, 6:53 PM

Change 627935 had a related patch set uploaded (by Nikki Nikkhoui; owner: Nikki Nikkhoui):
[mediawiki/skins/Vector@master] Use setTemporaryHook() in SkinVectorTest

https://gerrit.wikimedia.org/r/627935

Change 627935 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Use setTemporaryHook() in SkinVectorTest

https://gerrit.wikimedia.org/r/627935

Change 603569 merged by jenkins-bot:
[mediawiki/extensions/examples@master] Update for new Hooks registration system

https://gerrit.wikimedia.org/r/603569

nnikkhoui closed this task as Resolved.Fri, Sep 18, 2:46 PM